%define         srcname      wmSMPmon
%define         srcdir       %srcname
%define         engdocfiles  COPYING Changelog

Name:           wmsmpmon
Version:        3.1
Release:        %mkrel 1
Summary:        Another dock application to monitor multi-core systems
License:        GPLv2
Group:          Monitoring

URL:            http://www.ribbrock.org/binabit/wmSMPmon/
Source0:        http://www.ribbrock.org/binabit/wmSMPmon/src/%{srcname}-%{version}.tar.gz


BuildRequires:  libxcb-devel
BuildRequires:  libx11-devel
BuildRequires:  libxau-devel
BuildRequires:  libxdmcp-devel
BuildRequires:  libxext-devel
BuildRequires:  libxpm-devel


%description
Wmsmpmon is yet another docked monitor for WindowMaker, or any desktop
environment that handles docking. It displays some system information
as CPU utilization, memory and swap usage.


%prep
%setup -q -n %srcname-%{version}


%build
cd %srcdir
%make CFLAGS="%optflags" \
      LIB="%ldflags -lX11 -lXext -lXpm -lm"


%install
rm -rf %{buildroot}
chmod 644 %engdocfiles
install -D -m 755 %srcdir/%{srcname} %{buildroot}%{_bindir}/%{name}
install -D -m 644 %srcdir/%{srcname}.1 %{buildroot}%{_mandir}/man1/%{name}.1


%clean
rm -rf %{buildroot}



%files
%defattr(-,root,root)
%doc %engdocfiles
%{_bindir}/%{name}
%{_mandir}/man1/*.1*




%changelog

* Sun Jan 22 2012 eatdirt <eatdirt> 3.1-1.mga2
+ Revision: 199738
- imported package wmsmpmon

